# Get a webhook Endpoint: GET /v1/collections/webhooks/{webhook_id} Version: 1.0.0 Security: Bearer ## Path parameters: - `webhook_id` (string, required) Unique identifier of the webhook to retrieve Example: "5c0d9ec9-5ad8-4a43-a1b4-6f8f1f6c4c10" ## Response 200 fields (application/json): - `id` (string, required) Unique identifier for the webhook. Example: "5c0d9ec9-5ad8-4a43-a1b4-6f8f1f6c4c10" - `event_type` (string, required) Event type for which a webhook can be created. Enum: "WEBHOOK_CREATED", "WEBHOOK_UPDATED", "WEBHOOK_DELETED", "TRANSACTION_STATUS_CHANGED", "PARTNER_STATUS_CHANGED", "WALLET_ADDRESS_CREATED", "WALLET_ADDRESS_ROTATED", "SETTLEMENT_INITIATED", "SETTLEMENT_COMPLETED", "SETTLEMENT_FAILED", "CHANNEL_CREATED", "CHANNEL_ARCHIVED", "ACCOUNT_CREATED", "ACCOUNT_STATUS_CHANGED", "ACCOUNT_BALANCE_UPDATED" - `callback_url` (string, required) HTTPS URL to which events will be sent. Example: "https://webhook.partner.example/webhooks" - `signature_verification_key` (string, required) Hex-encoded public key used to verify webhook signatures. Example: "04bfcabf3c3e5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8" ## Response 400 fields (application/json): - `code` (string, required) Error code identifying the type of error - `reason` (string, required) Human-readable error message ## Response 401 fields (application/json): - `code` (string, required) Error code identifying the type of error - `reason` (string, required) Human-readable error message ## Response 404 fields (application/json): - `code` (string, required) Error code identifying the type of error - `reason` (string, required) Human-readable error message ## Response 500 fields (application/json): - `code` (string, required) Error code identifying the type of error - `reason` (string, required) Human-readable error message